use rocket::{get, State, config};
use rocket_dyn_templates::Template;
use serde::Serialize;

use crate::PresentationConfig;

#[derive(Serialize, Debug)]
struct RootPage {
    static_host: String,
}

#[get("/")]
pub fn index(config: &State<PresentationConfig>) -> Template {
    let context = RootPage {
        static_host: config.static_route.clone(),
    };
    Template::render("default", &context)
}
